# Gemitwee

Converts [Twee2](https://dan-q.github.io/twee2/documentation.html) markup (either written standalone or exported from [Twine](https://twinery.org)) to [Gemtext](https://geminiprotocol.net/docs/gemtext.gmi) files.

Note that this does not and cannot support: stylesheets, scripts, macros, variables, generally things that aren't text. The ideal candidate is a game that is completely operated via links. Most Gemini clients don't support images, so I suggest if you want them to convert them to [ASCII art](https://www.asciiart.eu/image-to-ascii).

If you've used this, let me know via issues/a PR/sending me an email at smallbird@tilde.club and I'll make a list here of Gemitwee games!

The script is mirrored on Gemini at [gemini://tilde.pink/~smallbird/tweetogemini.gmi](gemini://tilde.pink/~smallbird/tweetogemini.gmi)

# Usage

`php gemitwee.php game_file.twee [output_dir]`

If you don't supply an output directory, it'll just output files into the local folder.

# Requirements

* Some kind of command line
* Probably a recent PHP version. I don't think this uses anything spicy but I can't guarantee it working on like PHP 4
* That's it
